<bugID>576642<Summary>JSTerm: expanding/shrinking inputNode</Summary><Description>In Jesse's JSShell, if you hit shift-enter the input node on the shell expands in height by one line, and a newline is added to the input value. 

It will also be handy to have a button that expands and shrinks the code input node.</Description></bugID>